package cn.ezhizao.project.system.service;

import cn.ezhizao.project.system.domain.SysModule;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 模块管理Service接口
 *
 * @author ruoyi
 * @date 2023-10-24
 */
public interface ISysModuleService extends IService<SysModule>
{
    /**
     * 查询模块管理列表
     *
     * @param sysModule 模块管理
     * @return 模块管理集合
     */
    public List<SysModule> getList(SysModule sysModule);

    /**
     * 物理删除
     * @param sysModule
     * @return 删除结果
     */
    public int physicalDelete(SysModule sysModule);

    public boolean save(SysModule sysModule);
    public boolean updateById(SysModule sysModule);

}
